Subject: Re: bug#14357: 24.3; Directory tracking in ansi-term broken

From: Noam Postavsky <[email-masked]>
Date: Fri, 09 Feb 2018 22:37:43 -0500

tags 14357 fixed
found 14357 25.3
close 14357 26.1
quit

Glenn Morris <[email-masked]> writes:

> "Olsen, Stuart J" wrote:
>
>> To reproduce this bug, run emacs using the command `emacs -Q'. Issue the
>> command `M-x ansi-term' run a local bash session. Issue the command `echo
>> -e "\033AnSiTc" $(pwd)' to simulate setting the default-directory for
>> the ansi-term buffer. This will be successful, but the character
>> sequence `^Z/cwd', where cwd is the current working directory, will also
>> be printed.

This is fixed in version 26.

> Did this ever work for you? I haven't been able to find any version of
> Emacs, going back to 21.1, in which it does. In more recent Emacs, I
> actually get an error:
>
>   error in process filter: Not a Tramp file name: /@HOSTNAME:/home/gm

If you do

    echo -e '\eAnSiTu' $(whoami)

first, then that won't happen.